# Affiliate Postbacks

***Affiliate Postback is to pass conversions back to affiliates.***

**NOTE: Creating Postback type will be affected by the types of conversion\_protocol.**

***conversion\_protocol：1:Image Pixel; 2:Postback URL; 3:HTML Pixel***

**When offer’s conversion\_protocol=1, Postback type can be set as 1 or 2.**

**When offer’s conversion\_protocol=2, Postback type can be only set as 2.**

**When offer’s conversion\_protocol=3, Postback type will not be limited, and it can be set as 1, 2 or 3.**

**When setting global postback (offer\_id=0), postback type will be not limited, and it can be set as 1, 2 or 3.**

## Available methods <a href="#available-methods" id="available-methods"></a>

| Methods    | HTTP method | Endpoint                                                                                                                                                                             | Description                                            |
| ---------- | ----------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------ |
| **Create** |             |                                                                                                                                                                                      |                                                        |
|            | POST        | [/v1/affiliate\_postbacks](https://offerslook-api.gitbook.io/api-documentation/networkapi/affiliatepostbacksmd_md/create_a_new_post_back_of_the_affiliate)                           | Create a new post back of the affiliate                |
| **Get**    |             |                                                                                                                                                                                      |                                                        |
|            | GET         | [/v1/affiliate\_postbacks/{postback\_id}](https://offerslook-api.gitbook.io/api-documentation/networkapi/affiliatepostbacksmd_md/get_a_post_back_of_the_affiliate)                   | Get a post back of the affiliate                       |
|            | GET         | [/v1/affiliate\_postbacks](https://offerslook-api.gitbook.io/api-documentation/networkapi/affiliatepostbacksmd_md/get_post_back_of_the_affiliate)                                    | Get post back of the affiliate                         |
| **Delete** |             |                                                                                                                                                                                      |                                                        |
|            | DELETE      | [/v1/affiliate\_postbacks/{postback\_id}](https://offerslook-api.gitbook.io/api-documentation/networkapi/affiliatepostbacksmd_md/delete_a_post_back_of_the_affiliate)                | Delete a post back of the affiliate                    |
| **Update** |             |                                                                                                                                                                                      |                                                        |
|            | PUT         | [/v1/affiliate\_postbacks/{postback\_id}](https://offerslook-api.gitbook.io/api-documentation/networkapi/affiliatepostbacksmd_md/update_the_settings_for_an_affiliates_post_back)    | Update the settings for an affiliate’s post back       |
| **Edit**   |             |                                                                                                                                                                                      |                                                        |
|            | PATCH       | [/v1/affiliate\_postbacks/{postback\_id}](https://offerslook-api.gitbook.io/api-documentation/networkapi/affiliatepostbacksmd_md/update_the_settings_for_an_affiliates_postback_sta) | Update the settings for an affiliate’s postback status |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/networkapi/affiliatepostbacksmd_md.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
